Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.api
Class BLMeasureInfo

    java.lang.Object
      jet.api.BLMeasureInfo

    public class BLMeasureInfo

extends java.lang.Object

Copyright (c) 1998, Jinfonet Software, Inc. All rights reserved.

Constructor Summary
`BLMeasureInfo(java.lang.String refMappingName, java.lang.String name)` Constructor.Creates a JReport BusinessLogic Measure

Method Summary
`void` | `addDetailInfo(BLDetailInfo info)` Adds a JReport BusinessLogic Detail definition into Measure
`java.lang.String` | `getDescription()` Gets description of Measure
`BLDetailInfo[]` | `getDetailInfos()` Gets Detail definitions of Measure
`java.lang.String` | `getDisplayName()` Gets display name of Measure
`java.lang.String` | `getName()` Gets name of Measure
`java.lang.String` | `getPrompt()` Gets prompt text of Measure
`java.lang.String` | `getRefMappingName()` Gets refered resource name of Measure
`void` | `setDescription(java.lang.String description)` Sets description of Measure
`void` | `setDisplayName(java.lang.String displayName)` Sets display name of Measure
`void` | `setName(java.lang.String name)` Sets name of Measure
`void` | `setPrompt(java.lang.String prompt)` Sets prompt text of Measure
`void` | `setRefMappingName(java.lang.String mappingName)` Sets refered resource name of Measure

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BLMeasureInfo

    public BLMeasureInfo(java.lang.String refMappingName,
                         java.lang.String name)

  Constructor.Creates a JReport BusinessLogic Measure

  Parameters:
    `name` - Indicates Measure name.
    `refMappingName` - Indicates field resouece name refered by Measure

Method Detail

### setDisplayName

    public void setDisplayName(java.lang.String displayName)

  Sets display name of Measure

  Parameters:
    `displayname` - the display name of Measure.

### getDisplayName

    public java.lang.String getDisplayName()

  Gets display name of Measure

  Returns:
    the display name of Measure.

### setDescription

    public void setDescription(java.lang.String description)

  Sets description of Measure

  Parameters:
    `description` - the description of Measure.

### getDescription

    public java.lang.String getDescription()

  Gets description of Measure

  Returns:
    the description of Measure.

### setPrompt

    public void setPrompt(java.lang.String prompt)

  Sets prompt text of Measure

  Parameters:
    `prompt` - the prompt text of Measure.

### getPrompt

    public java.lang.String getPrompt()

  Gets prompt text of Measure

  Returns:
    prompt text of Measure.

### setName

    public void setName(java.lang.String name)

  Sets name of Measure

  Parameters:
    `name` - the name of Measure.

### getName

    public java.lang.String getName()

  Gets name of Measure

  Returns:
    the name of Measure.

### setRefMappingName

    public void setRefMappingName(java.lang.String mappingName)

  Sets refered resource name of Measure

  Parameters:
    `mappingName` - the refered resource name of Measure.

### getRefMappingName

    public java.lang.String getRefMappingName()

  Gets refered resource name of Measure

### getDetailInfos

    public BLDetailInfo[] getDetailInfos()

  Gets Detail definitions of Measure

### addDetailInfo

    public void addDetailInfo(BLDetailInfo info)

  Adds a JReport BusinessLogic Detail definition into Measure

  Parameters:
    `detailInfo` - the Detail definition that will be created in Measure.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD